
class numberCreator {
    inherit stringCreator
    method createObject {token xuiBuilder}
    method extraStuff
}

body numberCreator::createObject {token xuiBuilder} {
    if [string length [set parentName [$xuiBuilder cget -currentParentName]]] {
	set name $parentName.[dom::getAttribute $token name]
    } else {
	set name ::#auto
    }                        
    return [xuiNumber $name]
}

 
body numberCreator::extraStuff {token object xuiBuilder} {
        if [llength [set w [dom::getAttribute $token width]]] {
           $object setWidth $w
        }
}    

